Subject: Re: [PATCH] sctp: lock_sock_nested in sctp_sock_migrate

From: Arjan van de Ven <[email-masked]>
Date: Mon, 25 Jun 2007 13:24:00 -0700

Vlad Yasevich wrote:
> Hm... This is another case of of two different sockets taking the same lock...
> 
> Arjan,  did this every get fixed, or is the nested locking the right solution
> to this?
> 

for this specific case it's ok and the nested solution is right.
In the general case it's obviously not safe to take the locks of two 
sockets in "unspecified" order....